-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}
--local bogiesteering = 0

local function onReset()
  electrics.values['bogieh'] = 0
  electrics.values['bogieh_input'] = 0
  electrics.values['bogie_steer'] = 0
end

local function updateGFX(dt) -- ms
  electrics.values['bogieh'] = math.min(1, math.max(0, (electrics.values['bogieh'] + electrics.values['bogieh_input'] * dt * 0.25)))
	electrics.values['bogie_steer'] = electrics.values['signal_left_input'] - electrics.values['signal_right_input']
end

--local function generatebogiesteering()
--	if electrics.values['signal_left_input'] == 0 and electrics.values['signal_right_input'] == 0 then bogiesteering = 0
--	elseif electrics.values['signal_left_input'] == 1 and electrics.values['signal_right_input'] == 1 then bogiesteering = 0
--	elseif electrics.values['signal_left_input'] == 1 and electrics.values['signal_right_input'] == 0 then bogiesteering = -1
--	elseif electrics.values['signal_left_input'] == 0 and electrics.values['signal_right_input'] == 1 then bogiesteering = 1
--	end
--end

local function bogieheight(value)
  electrics.values.bogieh_input = value
end



-- public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX
M.bogieheight = bogieheight

return M
